{
  "files": [
    ".git-blame-ignore-revs",
    "LICENSE",
    "AUTHORS",
    ".pre-commit-config.yaml",
    "pyproject.toml",
    "MANIFEST.in",
    ".editorconfig",
    "setup.py",
    ".gitignore",
    "CONTRIBUTING.md",
    ".gitattributes",
    "Vagrantfile",
    "Brewfile",
    "README.rst",
    ".mailmap",
    "CHANGES.rst",
    ".readthedocs.yaml",
    "SECURITY.md",
    "docs/index.rst",
    "docs/changes_0.x.rst",
    "docs/support.rst",
    "docs/book.rst",
    "docs/Makefile",
    "docs/changes_1.x.rst",
    "docs/conf.py",
    "docs/usage_general.rst.inc",
    "docs/global.rst.inc",
    "docs/usage.rst",
    "docs/development.rst",
    "docs/quickstart.rst",
    "docs/quickstart_example.rst.inc",
    "docs/installation.rst",
    "docs/authors.rst",
    "docs/deployment.rst",
    "docs/man_intro.rst",
    "docs/introduction.rst",
    "docs/changes.rst",
    "docs/faq.rst",
    "docs/internals.rst",
    "docs/man/borg-check.1",
    "docs/man/borg-serve.1",
    "docs/man/borg-info.1",
    "docs/man/borg-transfer.1",
    "docs/man/borg-compression.1",
    "docs/man/borg-completion.1",
    "docs/man/borg-repo-compress.1",
    "docs/man/borg-benchmark-crud.1",
    "docs/man/borg-key-remove.1",
    "docs/man/borg-key-change-location.1",
    "docs/man/borg-key-change-algorithm.1",
    "docs/man/borg-delete.1",
    "docs/man/borg-diff.1",
    "docs/man/borg-break-lock.1",
    "docs/man/borg-repo-delete.1",
    "docs/man/borg-key-list.1",
    "docs/man/borg-config.1",
    "docs/man/borg-key-export.1",
    "docs/man/borg-match-archives.1",
    "docs/man/borg-list.1",
    "docs/man/borg-extract.1",
    "docs/man/borg-umount.1",
    "docs/man/borg-mount.1",
    "docs/man/borg-key-add.1",
    "docs/man/borg-key-change-passphrase.1",
    "docs/man/borg-undelete.1",
    "docs/man/borg-export-tar.1",
    "docs/man/borg-benchmark.1",
    "docs/man/borg-create.1",
    "docs/man/borg-repo-space.1",
    "docs/man/borg-placeholders.1",
    "docs/man/borg.1",
    "docs/man/borg-upgrade.1",
    "docs/man/borg-repo-info.1",
    "docs/man/borg-prune.1",
    "docs/man/borg-with-lock.1",
    "docs/man/borg-key.1",
    "docs/man/borg-analyze.1",
    "docs/man/borg-compact.1",
    "docs/man/borg-key-import.1",
    "docs/man/borg-version.1",
    "docs/man/borg-benchmark-cpu.1",
    "docs/man/borg-import-tar.1",
    "docs/man/borg-rename.1",
    "docs/man/borgfs.1",
    "docs/man/borg-tag.1",
    "docs/man/borg-key-migrate-to-repokey.1",
    "docs/man/borg-recreate.1",
    "docs/man/borg-repo-list.1",
    "docs/man/borg-patterns.1",
    "docs/man/borg-common.1",
    "docs/man/borg-repo-create.1",
    "docs/3rd_party/README",
    "docs/misc/create_chunker-params.txt",
    "docs/misc/borg-data-flow.png",
    "docs/misc/benchmark-crud.txt",
    "docs/misc/prune-example.txt",
    "docs/misc/prune-example-interval.txt",
    "docs/misc/borg-data-flow.odg",
    "docs/misc/logging.conf",
    "docs/misc/internals-picture.txt",
    "docs/misc/asciinema/basic.tcl",
    "docs/misc/asciinema/advanced.tcl",
    "docs/misc/asciinema/advanced.json",
    "docs/misc/asciinema/README",
    "docs/misc/asciinema/sample-wallpapers.txt",
    "docs/misc/asciinema/Vagrantfile",
    "docs/misc/asciinema/install.tcl",
    "docs/misc/asciinema/install.json",
    "docs/misc/asciinema/basic.json",
    "docs/borg_theme/css/borg.css",
    "docs/_templates/globaltoc.html",
    "docs/_templates/layout.html",
    "docs/_templates/versionselector.html",
    "docs/_templates/logo-text.html",
    "docs/_templates/downloads.html",
    "docs/_static/favicon.ico",
    "docs/_static/Makefile",
    "docs/_static/logo_font.txt",
    "docs/_static/logo.pdf",
    "docs/_static/logo.png",
    "docs/_static/logo.svg",
    "docs/usage/help.rst.inc",
    "docs/usage/repo-space.rst.inc",
    "docs/usage/diff.rst",
    "docs/usage/extract.rst",
    "docs/usage/mount.rst",
    "docs/usage/rename.rst.inc",
    "docs/usage/repo-info.rst.inc",
    "docs/usage/analyze.rst",
    "docs/usage/key.rst",
    "docs/usage/rename.rst",
    "docs/usage/delete.rst.inc",
    "docs/usage/lock.rst",
    "docs/usage/info.rst",
    "docs/usage/repo-delete.rst",
    "docs/usage/repo-list.rst",
    "docs/usage/check.rst",
    "docs/usage/import-tar.rst.inc",
    "docs/usage/umount.rst.inc",
    "docs/usage/common-options.rst.inc",
    "docs/usage/list.rst.inc",
    "docs/usage/debug.rst",
    "docs/usage/serve.rst",
    "docs/usage/create.rst",
    "docs/usage/repo-info.rst",
    "docs/usage/version.rst.inc",
    "docs/usage/tag.rst.inc",
    "docs/usage/transfer.rst",
    "docs/usage/usage_general.rst.inc",
    "docs/usage/notes.rst",
    "docs/usage/list.rst",
    "docs/usage/compact.rst",
    "docs/usage/tar.rst",
    "docs/usage/key_remove.rst.inc",
    "docs/usage/prune.rst.inc",
    "docs/usage/key_add.rst.inc",
    "docs/usage/repo-create.rst.inc",
    "docs/usage/undelete.rst.inc",
    "docs/usage/recreate.rst.inc",
    "docs/usage/tag.rst",
    "docs/usage/key_change-location.rst.inc",
    "docs/usage/recreate.rst",
    "docs/usage/benchmark_cpu.rst.inc",
    "docs/usage/mount.rst.inc",
    "docs/usage/benchmark.rst",
    "docs/usage/delete.rst",
    "docs/usage/borgfs.rst",
    "docs/usage/create.rst.inc",
    "docs/usage/completion.rst.inc",
    "docs/usage/benchmark_crud.rst.inc",
    "docs/usage/diff.rst.inc",
    "docs/usage/serve.rst.inc",
    "docs/usage/key_change-passphrase.rst.inc",
    "docs/usage/extract.rst.inc",
    "docs/usage/repo-space.rst",
    "docs/usage/help.rst",
    "docs/usage/version.rst",
    "docs/usage/borgfs.rst.inc",
    "docs/usage/with-lock.rst.inc",
    "docs/usage/info.rst.inc",
    "docs/usage/check.rst.inc",
    "docs/usage/break-lock.rst.inc",
    "docs/usage/transfer.rst.inc",
    "docs/usage/key_export.rst.inc",
    "docs/usage/export-tar.rst.inc",
    "docs/usage/key_import.rst.inc",
    "docs/usage/compact.rst.inc",
    "docs/usage/repo-create.rst",
    "docs/usage/prune.rst",
    "docs/usage/undelete.rst",
    "docs/usage/completion.rst",
    "docs/usage/repo-delete.rst.inc",
    "docs/usage/analyze.rst.inc",
    "docs/usage/repo-list.rst.inc",
    "docs/usage/key_list.rst.inc",
    "docs/usage/general.rst",
    "docs/usage/general/file-systems.rst.inc",
    "docs/usage/general/archive-specification.rst.inc",
    "docs/usage/general/units.rst.inc",
    "docs/usage/general/config.rst.inc",
    "docs/usage/general/positional-arguments.rst.inc",
    "docs/usage/general/environment.rst.inc",
    "docs/usage/general/date-time.rst.inc",
    "docs/usage/general/resources.rst.inc",
    "docs/usage/general/logging.rst.inc",
    "docs/usage/general/repository-locations.rst.inc",
    "docs/usage/general/file-metadata.rst.inc",
    "docs/usage/general/repository-urls.rst.inc",
    "docs/usage/general/return-codes.rst.inc",
    "docs/internals/data-structures.rst",
    "docs/internals/pack-write-order.png",
    "docs/internals/packs.rst",
    "docs/internals/frontends.rst",
    "docs/internals/pack-objheader.excalidraw",
    "docs/internals/object-graph.odg",
    "docs/internals/pack-write-order.excalidraw",
    "docs/internals/pack-layout.png",
    "docs/internals/structure.png",
    "docs/internals/encryption-aead.odg",
    "docs/internals/pack-layout.excalidraw",
    "docs/internals/encryption-aead.png",
    "docs/internals/structure.odg",
    "docs/internals/object-graph.png",
    "docs/internals/pack-objheader.png",
    "docs/internals/security.rst",
    "docs/deployment/pull-backup.rst",
    "docs/deployment/non-root-user.rst",
    "docs/deployment/central-backup-server.rst",
    "docs/deployment/hosting-repositories.rst",
    "docs/deployment/automated-local.rst",
    "docs/deployment/image-backup.rst",
    "docs/binaries/00_README.txt",
    "scripts/glibc_check.py",
    "scripts/linux-run",
    "scripts/sdist-sign",
    "scripts/rest_perf_test.sh",
    "scripts/borg.exe.spec",
    "scripts/sign-binaries",
    "scripts/Dockerfile.linux-run",
    "scripts/build-borg-using-pyinstaller.sh",
    "scripts/build-borg-using-nuitka.sh",
    "scripts/upload-pypi",
    "scripts/fetch-binaries",
    "scripts/errorlist.py",
    "scripts/make.py",
    "scripts/chunker_bench.py",
    "scripts/msys2-install-deps",
    "scripts/make-testdata/test_transfer_upgrade.sh",
    "scripts/shell_completions/fish/borg.fish",
    ".github/FUNDING.yml",
    ".github/PULL_REQUEST_TEMPLATE.md",
    ".github/ISSUE_TEMPLATE.md",
    ".github/dependabot.yml",
    ".github/workflows/black.yaml",
    ".github/workflows/backport.yml",
    ".github/workflows/codeql-analysis.yml",
    ".github/workflows/canary.yml",
    ".github/workflows/ci.yml",
    "requirements.d/pyinstaller.txt",
    "requirements.d/development.lock.txt",
    "requirements.d/codestyle.txt",
    "requirements.d/development.txt",
    "requirements.d/docs.txt",
    "src/borg/item.pyi",
    "src/borg/repoobj.py",
    "src/borg/fslocking.py",
    "src/borg/compress.pyx",
    "src/borg/conftest.py",
    "src/borg/_item.c",
    "src/borg/hashindex.pyi",
    "src/borg/version.py",
    "src/borg/patterns.py",
    "src/borg/manifest.py",
    "src/borg/paperkey.html",
    "src/borg/hlfuse.py",
    "src/borg/security.py",
    "src/borg/constants.py",
    "src/borg/cache.py",
    "src/borg/__init__.py",
    "src/borg/fuse_impl.py",
    "src/borg/logger.py",
    "src/borg/upgrade.py",
    "src/borg/item.pyx",
    "src/borg/selftest.py",
    "src/borg/compress.pyi",
    "src/borg/hashindex.pyx",
    "src/borg/xattr.py",
    "src/borg/archive.py",
    "src/borg/platformflags.py",
    "src/borg/storelocking.py",
    "src/borg/repository.py",
    "src/borg/fuse.py",
    "src/borg/__main__.py",
    "src/borg/crypto/low_level.pyx",
    "src/borg/crypto/key.py",
    "src/borg/crypto/__init__.py",
    "src/borg/crypto/low_level.pyi",
    "src/borg/crypto/keymanager.py",
    "src/borg/crypto/file_integrity.py",
    "src/borg/chunkers/failing.py",
    "src/borg/chunkers/fastcdc.pyx",
    "src/borg/chunkers/reader.pyx",
    "src/borg/chunkers/fixed.py",
    "src/borg/chunkers/buzhash.pyi",
    "src/borg/chunkers/__init__.py",
    "src/borg/chunkers/buzhash64.pyx",
    "src/borg/chunkers/fastcdc.pyi",
    "src/borg/chunkers/reader.pyi",
    "src/borg/chunkers/buzhash.pyx",
    "src/borg/chunkers/buzhash64.pyi",
    "src/borg/testsuite/compress_test.py",
    "src/borg/testsuite/archives_test.py",
    "src/borg/testsuite/cache_test.py",
    "src/borg/testsuite/archive_test.py",
    "src/borg/testsuite/hashindex_test.py",
    "src/borg/testsuite/legacy_upgrade_test.py",
    "src/borg/testsuite/__init__.py",
    "src/borg/testsuite/legacy_helpers_test.py",
    "src/borg/testsuite/cockpit_test.py",
    "src/borg/testsuite/item_test.py",
    "src/borg/testsuite/legacy_fs_test.py",
    "src/borg/testsuite/version_test.py",
    "src/borg/testsuite/patterns_test.py",
    "src/borg/testsuite/repository_test.py",
    "src/borg/testsuite/storelocking_test.py",
    "src/borg/testsuite/repoobj_test.py",
    "src/borg/testsuite/logger_test.py",
    "src/borg/testsuite/legacyrepository_test.py",
    "src/borg/testsuite/shell_completions_test.py",
    "src/borg/testsuite/legacy_archives_test.py",
    "src/borg/testsuite/xattr_test.py",
    "src/borg/testsuite/fslocking_test.py",
    "src/borg/testsuite/benchmark_test.py",
    "src/borg/testsuite/crypto/legacy_key_test.py",
    "src/borg/testsuite/crypto/__init__.py",
    "src/borg/testsuite/crypto/key_test.py",
    "src/borg/testsuite/crypto/csprng_test.py",
    "src/borg/testsuite/crypto/crypto_test.py",
    "src/borg/testsuite/crypto/file_integrity_test.py",
    "src/borg/testsuite/chunkers/buzhash64_self_test.py",
    "src/borg/testsuite/chunkers/buzhash64_test.py",
    "src/borg/testsuite/chunkers/fixed_self_test.py",
    "src/borg/testsuite/chunkers/buzhash_self_test.py",
    "src/borg/testsuite/chunkers/__init__.py",
    "src/borg/testsuite/chunkers/interaction_test.py",
    "src/borg/testsuite/chunkers/reader_test.py",
    "src/borg/testsuite/chunkers/fixed_test.py",
    "src/borg/testsuite/chunkers/buzhash_test.py",
    "src/borg/testsuite/chunkers/failing_test.py",
    "src/borg/testsuite/chunkers/fastcdc_test.py",
    "src/borg/testsuite/platform/platform_test.py",
    "src/borg/testsuite/platform/__init__.py",
    "src/borg/testsuite/platform/freebsd_test.py",
    "src/borg/testsuite/platform/all_test.py",
    "src/borg/testsuite/platform/windows_test.py",
    "src/borg/testsuite/platform/linux_test.py",
    "src/borg/testsuite/platform/darwin_test.py",
    "src/borg/testsuite/archiver/repo_list_cmd_test.py",
    "src/borg/testsuite/archiver/argparsing_test.py",
    "src/borg/testsuite/archiver/tar_cmds_test.py",
    "src/borg/testsuite/archiver/prune_cmd_test.py",
    "src/borg/testsuite/archiver/extract_cmd_test.py",
    "src/borg/testsuite/archiver/match_archives_date_test.py",
    "src/borg/testsuite/archiver/help_cmd_test.py",
    "src/borg/testsuite/archiver/return_codes_test.py",
    "src/borg/testsuite/archiver/list_cmd_test.py",
    "src/borg/testsuite/archiver/recreate_cmd_test.py",
    "src/borg/testsuite/archiver/delete_cmd_test.py",
    "src/borg/testsuite/archiver/debug_cmds_test.py",
    "src/borg/testsuite/archiver/compact_cmd_test.py",
    "src/borg/testsuite/archiver/repo_space_cmd_test.py",
    "src/borg/testsuite/archiver/create_cmd_test.py",
    "src/borg/testsuite/archiver/_common_test.py",
    "src/borg/testsuite/archiver/corruption_test.py",
    "src/borg/testsuite/archiver/repo12.tar.gz",
    "src/borg/testsuite/archiver/__init__.py",
    "src/borg/testsuite/archiver/repo_delete_cmd_test.py",
    "src/borg/testsuite/archiver/completion_cmd_test.py",
    "src/borg/testsuite/archiver/unusual_paths.tar",
    "src/borg/testsuite/archiver/repo_create_cmd_test.py",
    "src/borg/testsuite/archiver/undelete_cmd_test.py",
    "src/borg/testsuite/archiver/analyze_cmd_test.py",
    "src/borg/testsuite/archiver/check_cmd_remote_test.py",
    "src/borg/testsuite/archiver/rename_cmd_test.py",
    "src/borg/testsuite/archiver/patterns_test.py",
    "src/borg/testsuite/archiver/transfer_cmd_test.py",
    "src/borg/testsuite/archiver/dotdot_path.tar",
    "src/borg/testsuite/archiver/mount_cmds_test.py",
    "src/borg/testsuite/archiver/repo_info_cmd_test.py",
    "src/borg/testsuite/archiver/diff_cmd_test.py",
    "src/borg/testsuite/archiver/tag_cmd_test.py",
    "src/borg/testsuite/archiver/checks_test.py",
    "src/borg/testsuite/archiver/restricted_permissions_test.py",
    "src/borg/testsuite/archiver/lock_cmds_test.py",
    "src/borg/testsuite/archiver/benchmark_cmd_test.py",
    "src/borg/testsuite/archiver/key_cmds_test.py",
    "src/borg/testsuite/archiver/remote_repo_test.py",
    "src/borg/testsuite/archiver/info_cmd_test.py",
    "src/borg/testsuite/archiver/disk_full_test.py",
    "src/borg/testsuite/archiver/check_cmd_test.py",
    "src/borg/testsuite/helpers/misc_test.py",
    "src/borg/testsuite/helpers/fs_test.py",
    "src/borg/testsuite/helpers/lrucache_test.py",
    "src/borg/testsuite/helpers/progress_test.py",
    "src/borg/testsuite/helpers/datastruct_test.py",
    "src/borg/testsuite/helpers/shellpattern_test.py",
    "src/borg/testsuite/helpers/parseformat_test.py",
    "src/borg/testsuite/helpers/process_test.py",
    "src/borg/testsuite/helpers/yes_no_test.py",
    "src/borg/testsuite/helpers/__init__.py",
    "src/borg/testsuite/helpers/msgpack_test.py",
    "src/borg/testsuite/helpers/passphrase_test.py",
    "src/borg/testsuite/helpers/time_test.py",
    "src/borg/testsuite/helpers/nanorst_test.py",
    "src/borg/testsuite/helpers/efficient_collection_queue_test.py",
    "src/borg/testsuite/helpers/__init__test.py",
    "src/borg/platform/posix_ug.py",
    "src/borg/platform/linux.pyx",
    "src/borg/platform/__init__.py",
    "src/borg/platform/freebsd.pyx",
    "src/borg/platform/posix.pyx",
    "src/borg/platform/netbsd.pyx",
    "src/borg/platform/syncfilerange.pyx",
    "src/borg/platform/xattr.py",
    "src/borg/platform/darwin.pyx",
    "src/borg/platform/windows_ug.py",
    "src/borg/platform/base.py",
    "src/borg/platform/windows.pyx",
    "src/borg/archiver/completion_cmd.py",
    "src/borg/archiver/transfer_cmd.py",
    "src/borg/archiver/repo_info_cmd.py",
    "src/borg/archiver/list_cmd.py",
    "src/borg/archiver/recreate_cmd.py",
    "src/borg/archiver/repo_list_cmd.py",
    "src/borg/archiver/tar_cmds.py",
    "src/borg/archiver/info_cmd.py",
    "src/borg/archiver/tag_cmd.py",
    "src/borg/archiver/rename_cmd.py",
    "src/borg/archiver/prune_cmd.py",
    "src/borg/archiver/benchmark_cmd.py",
    "src/borg/archiver/_common.py",
    "src/borg/archiver/undelete_cmd.py",
    "src/borg/archiver/__init__.py",
    "src/borg/archiver/serve_cmd.py",
    "src/borg/archiver/compact_cmd.py",
    "src/borg/archiver/create_cmd.py",
    "src/borg/archiver/debug_cmd.py",
    "src/borg/archiver/delete_cmd.py",
    "src/borg/archiver/analyze_cmd.py",
    "src/borg/archiver/version_cmd.py",
    "src/borg/archiver/diff_cmd.py",
    "src/borg/archiver/repo_space_cmd.py",
    "src/borg/archiver/check_cmd.py",
    "src/borg/archiver/repo_delete_cmd.py",
    "src/borg/archiver/lock_cmds.py",
    "src/borg/archiver/repo_create_cmd.py",
    "src/borg/archiver/key_cmds.py",
    "src/borg/archiver/help_cmd.py",
    "src/borg/archiver/mount_cmds.py",
    "src/borg/archiver/extract_cmd.py",
    "src/borg/legacy/repoobj.py",
    "src/borg/legacy/hashindex.py",
    "src/borg/legacy/remote.py",
    "src/borg/legacy/__init__.py",
    "src/borg/legacy/archives.py",
    "src/borg/legacy/upgrade.py",
    "src/borg/legacy/fs.py",
    "src/borg/legacy/repository.py",
    "src/borg/legacy/helpers.py",
    "src/borg/legacy/crypto/low_level.pyx",
    "src/borg/legacy/crypto/key.py",
    "src/borg/legacy/crypto/__init__.py",
    "src/borg/cockpit/runner.py",
    "src/borg/cockpit/theme.py",
    "src/borg/cockpit/__init__.py",
    "src/borg/cockpit/widgets.py",
    "src/borg/cockpit/app.py",
    "src/borg/cockpit/translator.py",
    "src/borg/cockpit/cockpit.tcss",
    "src/borg/helpers/time.py",
    "src/borg/helpers/misc.py",
    "src/borg/helpers/msgpack.py",
    "src/borg/helpers/shellpattern.py",
    "src/borg/helpers/__init__.py",
    "src/borg/helpers/nanorst.py",
    "src/borg/helpers/datastruct.py",
    "src/borg/helpers/lrucache.py",
    "src/borg/helpers/yes_no.py",
    "src/borg/helpers/fs.py",
    "src/borg/helpers/process.py",
    "src/borg/helpers/parseformat.py",
    "src/borg/helpers/errors.py",
    "src/borg/helpers/progress.py",
    "src/borg/helpers/argparsing.py",
    "src/borg/helpers/passphrase.py"
  ]
}
